org.apache.ignite.internal.binary

## Interface BinaryMetadataHandler

All Known Implementing Classes:
  BinaryCachingMetadataHandler, BinaryNoopMetadataHandler

    public interface BinaryMetadataHandler

Binary meta data handler.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addMeta(int typeId, BinaryType meta, boolean failIfUnregistered)` Adds meta data.
`Collection<BinaryType>` `metadata()` Gets all metadata known to the node.
`BinaryType` `metadata(int typeId)` Gets meta data for provided type ID.
`BinaryType` `metadata(int typeId, int schemaId)` Gets metadata for provided type ID and schema ID.
`BinaryMetadata` `metadata0(int typeId)` Gets unwrapped meta data for provided type ID.

### Method Detail

#### addMeta

    void addMeta(int typeId,
                 BinaryType meta,
                 boolean failIfUnregistered)
          throws BinaryObjectException

Adds meta data.

Parameters:
  `typeId` - Type ID.
  `meta` - Metadata.
  `failIfUnregistered` - Fail if unregistered.
Throws:
  `BinaryObjectException` - In case of error.

#### metadata

    BinaryType metadata(int typeId)
                 throws BinaryObjectException

Gets meta data for provided type ID.

Parameters:
  `typeId` - Type ID.
Returns:
  Metadata.
Throws:
  `BinaryObjectException` - In case of error.

#### metadata0

    BinaryMetadata metadata0(int typeId)
                      throws BinaryObjectException

Gets unwrapped meta data for provided type ID.

Parameters:
  `typeId` - Type ID.
Returns:
  Metadata.
Throws:
  `BinaryObjectException` - In case of error.

#### metadata

    BinaryType metadata(int typeId,
                        int schemaId)
                 throws BinaryObjectException

Gets metadata for provided type ID and schema ID.

Parameters:
  `typeId` - Type ID.
  `schemaId` - Schema ID.
Returns:
  Metadata.
Throws:
  `BinaryObjectException` - In case of error.

#### metadata

    Collection<BinaryType> metadata()
                             throws BinaryObjectException

Gets all metadata known to the node.

Returns:
  Metadata collection
Throws:
  `BinaryObjectException` - If failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019